%define name		libggi
%define version		2.1.0
%define release		2mdk
%define lib_name_orig	%{name}
%define lib_major	2
%define lib_name	%mklibname ggi %{lib_major}
 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A fast, simple, small and flexible user-space graphics library
License:	GPL
Group:		System/Libraries
URL:		http://www.ggi-project.org/
Source:		%{name}-%{version}.src.tar.bz2
Patch0:		libggi-2.0.1-no-lcd823-ppc.patch.bz2
#Patch1:	libggi-2.0.3-gcc3.3.patch.bz2
#Patch2:	libggi-2.0.3-libtool.patch.bz2
Patch3:		libggi-2.0.3-xpath.patch.bz2
Buildrequires:	libgii-devel >= 0.8.5 autoconf2.5 automake1.9
Buildrequires:	aalib-devel ncurses-devel DirectFB-devel
BuildConflicts:	svgalib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LibGGI is a fast, simple, small and flexible user-space graphics
library developed by the GGI Project <http://www.ggi-project.org/>.
It attempts to abstract the many different graphics output systems
existing under Unix (and in the future, other platforms). The support
for all of these different types of displays and hardware are provided
by dynamically-loaded mini-libraries.

LibGGI can transparently (to the LibGGI-using application) display
graphics on an X window, fbcon (Linux framebuffer driver), or the 
glide library, through their respective graphics drivers, or targets. 
There are also some other targets which display through another 
target, such as multi to display simultaneously on multiple displays 
at once, and tile to tile your display to different monitors.

LibGGI supports acceleration of graphics primitives where possible.

LibGGI is a very generic piece of software, that will run on about
every platform that has remotely heard of POSIX (ports to other systems
such as Win32 are underway) and on many display subsystems.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release} libgii-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{lib_name}-static-devel
Summary:	Static Library for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{lib_name}-devel = %{version}-%{release}

%description -n	%{lib_name}-static-devel
This package contains the static library that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q
%patch0 -p1 -b .ppc
#%patch1 -p1
#%patch2 -p1 -b .libtool
%patch3 -p1 -b .xpath

%build
# needed by patches 2 & 3
./autogen.sh AC_VERSION="2.59" AM_VERSION="1.9"
%configure2_5x	--enable-static \
		--disable-debug
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
 
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog ChangeLog.1999 FAQ INSTALL INSTALL.autoconf NEWS README doc/*.txt
%dir %{_sysconfdir}/ggi/
%dir %{_sysconfdir}/ggi/targets
%config(noreplace) %{_sysconfdir}/ggi/libggi.conf
%config(noreplace) %{_sysconfdir}/ggi/targets/fbdev.conf

%{_bindir}/*
%dir %{_libdir}/ggi/
%dir %{_libdir}/ggi/default/
%dir %{_libdir}/ggi/default/fbdev
%dir %{_libdir}/ggi/default/fbdev/ati
%dir %{_libdir}/ggi/default/fbdev/mga
%dir %{_libdir}/ggi/display
%dir %{_libdir}/ggi/helper
%{_libdir}/ggi/*/*.la
%{_libdir}/ggi/*/*.so
%{_libdir}/ggi/default/fbdev/*/*.la
%{_libdir}/ggi/default/fbdev/*/*.so
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/ggi/*
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_includedir}/ggi/*
%{_libdir}/*.a
%{_libdir}/ggi/*/*.a
%{_libdir}/ggi/default/fbdev/*/*.a

%changelog
* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.0-2mdk
- use automake1.9 & autoconf2.5

* Tue Dec 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.0-1mdk
- 2.1.0

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.5-1mdk
- 2.0.5
- enable directfb support (since directfb is now in main)
- buildconfligts on svgalib-devel so we don't accidentally build with
  svgalib support if svgalib-devel is installed (--disable-svga actually seems
  to enable it, that's why I use buildconflicts in stead)
- drop P2
- require libgii >= 0.8.5

* Sat Jan 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.4-1mdk
- 2.0.4
- drop P1, fixed upstream
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- --disable-debug
- fix buildrequires

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.3-5mdk
- libtool fixes

* Tue Sep  2 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.3-4mdk
- fix buildrequires

* Tue Jul 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0.3-3mdk
- rebuild for new rpm devel computation

* Mon Jun 16 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.3-2mdk
- patch1: fix build with new gcc

* Tue Apr 29 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.3-1mdk
- fix buildrequires
- mklibname macro
- disable directfb
- fix directory ownership
- new version

* Wed Jan 15 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.2-2mdk
- add a static-devel subpackage
- autoconf2.5 macro
- enable building of the static library 

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.2-1mdk
- 2.0.2

* Wed Nov 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.1-5mdk
- no lcd823 on ppc either

* Wed May 22 2002 Yves Duret <yduret@mandrakesoft.com> 2.0.1-4mdk
- rebuild without svgalib support.
- removed ref about svgalib in description.
- manual rebuild with gcc 3.1.
- add Buildrequires: ncurses-devel.
- add Buildrequires: libslang1-devel.
- %%configure.
- *.la files in devel packages.

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-3mdk
- requires (pixel)

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-2mdk
- fix requires

* Thu Sep 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- updated by Götz Waschk <waschk@linux-mandrake.com> :
	- 2.0.1

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0-3mdk
- added by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- made the library package depends on main package for configuration files

* Sun Aug 26 2001 Götz Waschk <waschk@linux-mandrake.com> 2.0-2mdk
- shut up, tar
- fixed %%sysconfdir

* Mon Aug 20 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0-1mdk
- first Mandrake release
